NCL(1)

NAME
ncl - Client program for NEdit text editor

SYNOPSYS
ncl [-read] [-create] [-line n | +n] [-do command] [-ask] [-noask] [-svrname name] [-svrcmd command] [-lm languagemode] [-geometry geometry] [-iconic] [-display [host]:server[.screen]] [file...]

DESCRIPTION
ncl is the client interface to the NEdit text editor. A server can be started explicitly by running NEdit in server mode:

  nedit -server
If no server is running, ncl will start one unless configured otherwize. Client/server mode is useful for integrating NEdit with software development environments, mailers, and other programs; or just as a quick way to open files from the shell command line without starting a new NEdit session.

OPTIONS

-read
    Open the file read-only regardless of the actual file protection.

-create
    Don't warn about file creation when a file doesn't exist.

-line n, +n
    Go to line number n.

-do command
    Execute an NEdit macro or action. On each file following the -do argument on the command line.

-ask, -noask
    Instructs ncl whether to automatically start a server if one is not available. This is also settable via the X resource, `nc.autoStart'.

-svrname name
    Explicitly instructs ncl which server to connect to, an instance of nedit(1) with a corresponding -svrname argument. By naming servers, you can run several simultaneously, and direct files and commands specifically to any one.

-svrcmd command
    The command which ncl uses to start an NEdit server. It is also settable via the X resource `nc.serverCommand', by default, "nedit -server".

-lm languagemode
    Initial language mode used for editing succeeding files.

-geometry geometry
    The initial size and/or location of editor windows. The argument geometry has the form:

      [<width>x<height>][+|-][<xoffset>[+|-]<yoffset>]
    where `<width>' and `<height>' are the desired width and height of the window, and `<xoffset>' and `<yoffset>' are the distance from the edge of the screen to the window, + for top or left, - for bottom or right. -geometry can be specified for individual files on the command line.

-iconic
    Initial window state for succeeding files.

-display [host]:server[.screen]
    The name of the X server to use. host specifies the machine, server specifies the display server number, and screen specifies the screen number. host or screen can be omitted and default to the local machine, and screen 0.

ENVIRONMENT

DISPLAY
    NEdit requires an X-based workstation or X-Terminal. If you have used telnet or rlogin to access the host Unix system, set the Unix environment variable for your display:

        % setenv DISPLAY devicename:0

NOTES
Communication between ncl and nedit(1) is through the X display. So as long as X is set up and working properly, ncl will work properly as well. ncl uses the `DISPLAY' environment variable, the machine name and your user name to find the appropriate server, meaning, if you have several machines sharing a common file system, ncl will not be able to find a server that is running on a machine with a different host name, even though it may be perfectly appropriate for editing a given file.

In typical Unix style, arguments affect the files which follow them on the command line, for example:

incorrect:
      ncl file.c -line 25

correct:
      ncl -line 25 file.c

For more information see NEdit's online help, or nedit.doc in the NEdit distribution kit.

SEE ALSO
nedit(1), X(1), mwm(1), vi(1), emacs(1)

AUTHORS
NEdit was written by Mark Edel, Joy Kyriakopulos, Christopher Conrad, Jim Clark, Arnulfo Zepeda-Navratil, Suresh Ravoor, Tony Balinski, Max Vohlken, Yunliang Yu, Donna Reid, Arne Forlie, Eddy De Greef, Steve LoBasso, Alexander Mai, and Scott Tringali.

COPYRIGHT
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License in the Help section "Distribution Policy" for more details.